# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.spreadsheet
Class ListQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.spreadsheet.ListQuery

    public class ListQuery

extends Query

Simple class for cells-feed-specific queries.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary
`static java.lang.String` `ORDERBY` The URI parameter for sorting options.
`static java.lang.String` `ORDERBY_COLUMN` The "orderby" string for sorting by a particular column.
`static java.lang.String` `ORDERBY_POSITION` The "orderby" string for sorting by position.
`static java.lang.String` `REVERSE` The URI parameter for reversing sorted results.
`static java.lang.String` `SPREADSHEET_QUERY` The URI parameter for structured spreadsheet queries.

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`ListQuery(java.net.URL feedUrl)` Constructs a non-restrictive row-based query, given the URI of a list feed for a particular worksheet.

Method Summary
`java.lang.String` `getOrderBy()` Gets the sorting query parameter.
`java.lang.String` `getSpreadsheetQuery()` Gets the structured spreadsheet query string.
`boolean` `isReverse()` Gets whether the query should be reversed.
`void` `setFullTextQuery(java.lang.String query)` Sets the full-text query.
`void` `setOrderBy(java.lang.String orderby)` Sets the sorting parameter, which can be "position", or "column:(column name)".
`void` `setReverse(boolean reverse)` Sets whether the results should be reversed, i.e.
`void` `setSortColumn(java.lang.String column)` Sort by a specific column.
`void` `setSpreadsheetQuery(java.lang.String query)` Sets the structured spreadsheet query.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPREADSHEET_QUERY

    public static final java.lang.String SPREADSHEET_QUERY

  The URI parameter for structured spreadsheet queries.

  See Also:
    Constant Field Values

### ORDERBY

    public static final java.lang.String ORDERBY

  The URI parameter for sorting options.

  See Also:
    Constant Field Values

### ORDERBY_COLUMN

    public static final java.lang.String ORDERBY_COLUMN

  The "orderby" string for sorting by a particular column. For instance, "column:title" would sort by the column title.

  See Also:
    Constant Field Values

### ORDERBY_POSITION

    public static final java.lang.String ORDERBY_POSITION

  The "orderby" string for sorting by position.

  See Also:
    Constant Field Values

### REVERSE

    public static final java.lang.String REVERSE

  The URI parameter for reversing sorted results.

  See Also:
    Constant Field Values

Constructor Detail

### ListQuery

    public ListQuery(java.net.URL feedUrl)

  Constructs a non-restrictive row-based query, given the URI of a list feed for a particular worksheet.

  Parameters:
    `feedUrl` - the feed's URI

Method Detail

### setSpreadsheetQuery

    public void setSpreadsheetQuery(java.lang.String query)

  Sets the structured spreadsheet query.

  Parameters:
    `query` - the query such as "name = 'Sonja' and state = 'Georgia'"

### getSpreadsheetQuery

    public java.lang.String getSpreadsheetQuery()

  Gets the structured spreadsheet query string.

### setFullTextQuery

    public void setFullTextQuery(java.lang.String query)

  Sets the full-text query. Matched entries must contain all the specified words somewhere in the input.

  Overrides:
    `setFullTextQuery` in class `Query`
  Parameters:
    `query` - the full-text query string such as "Sonja Georgia"

### setSortColumn

    public void setSortColumn(java.lang.String column)

  Sort by a specific column. Convenience method for setOrderBy("column:" + column).

  Parameters:
    `column` -

### setOrderBy

    public void setOrderBy(java.lang.String orderby)

  Sets the sorting parameter, which can be "position", or "column:(column name)".

  Parameters:
    `orderby` - the order-by parameter

### getOrderBy

    public java.lang.String getOrderBy()

  Gets the sorting query parameter.

### setReverse

    public void setReverse(boolean reverse)

  Sets whether the results should be reversed, i.e. descending.

  Parameters:
    `reverse` - whether to reverse results

### isReverse

    public boolean isReverse()

  Gets whether the query should be reversed.